Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.net.server
Class AbstractLogEventBridge<T extends InputStream>

    java.lang.Object
      org.apache.logging.log4j.core.net.server.AbstractLogEventBridge<T>

Type Parameters:
  `T` - The kind of input stream read

All Implemented Interfaces:
  LogEventBridge<T>

Direct Known Subclasses:
  InputStreamLogEventBridge, ObjectInputStreamLogEventBridge

    public abstract class AbstractLogEventBridge<T extends InputStream>

extends Object
implements LogEventBridge<T>

Abstract class for implementations of `LogEventBridge`.

Field Summary
`protected static int` | `END`
`protected static org.apache.logging.log4j.Logger` | `logger`

Constructor Summary
`AbstractLogEventBridge()`

Method Summary
`T` | `wrapStream(InputStream inputStream)` Wraps the given stream if needed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.logging.log4j.core.net.server.LogEventBridge
`logEvents`

Field Detail

### END

    protected static final int END

See Also:
  Constant Field Values

### logger

    protected static final org.apache.logging.log4j.Logger logger

Constructor Detail

### AbstractLogEventBridge

    public AbstractLogEventBridge()

Method Detail

### wrapStream

    public T wrapStream(InputStream inputStream)
                                     throws IOException

  Description copied from interface: `LogEventBridge`
  Wraps the given stream if needed.

  Specified by:
    `wrapStream` in interface `LogEventBridge<T extends InputStream>`
  Parameters:
    `inputStream` - the stream to wrap
  Returns:
    the wrapped stream or the given stream.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.